﻿CREATE TABLE [dbo].[CompanyProfileRevenueTableTab] (
    [Id]               UNIQUEIDENTIFIER NOT NULL,
    [ProjectId]        UNIQUEIDENTIFIER NULL,
    [CompanyId]        UNIQUEIDENTIFIER NULL,
    [Rows]             INT              NULL,
    [Columns]          INT              NULL,
    [TableType]        NVARCHAR (50)    NULL,
    [TableName]        NVARCHAR (50)    NULL,
    [TableMetadata]    NVARCHAR (512)   NULL,
    [TableData]        NVARCHAR (512)   NULL,
    [CreatedOn]        DATETIME2 (7)    NULL,
    [UserCreatedById]  UNIQUEIDENTIFIER NULL,
    [ModifiedOn]       DATETIME2 (7)    NULL,
    [UserModifiedById] UNIQUEIDENTIFIER NULL,
    [IsDeleted]        BIT              NULL,
    [DeletedOn]        DATETIME2 (7)    NULL,
    [UserDeletedById]  UNIQUEIDENTIFIER NULL,
    CONSTRAINT [PK_CompanyProfileRevenueTableTab] PRIMARY KEY CLUSTERED ([Id] ASC),
    CONSTRAINT [FK_CompanyProfileRevenueTableTab_AviraUser] FOREIGN KEY ([UserDeletedById]) REFERENCES [dbo].[AviraUser] ([Id]),
    CONSTRAINT [FK_CompanyProfileRevenueTableTab_AviraUser1] FOREIGN KEY ([UserModifiedById]) REFERENCES [dbo].[AviraUser] ([Id]),
    CONSTRAINT [FK_CompanyProfileRevenueTableTab_Company] FOREIGN KEY ([CompanyId]) REFERENCES [dbo].[Company] ([Id]),
    CONSTRAINT [FK_CompanyProfileRevenueTableTab_CompanyProfileRevenueTableTab] FOREIGN KEY ([UserCreatedById]) REFERENCES [dbo].[AviraUser] ([Id]),
    CONSTRAINT [FK_CompanyProfileRevenueTableTab_Project] FOREIGN KEY ([ProjectId]) REFERENCES [dbo].[Project] ([ID])
);

